gi-gio-2.0.38: Gio bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gio.Structs.DBusSignalInfo

Contents

- Exported types
- Methods
  - ref
  - unref
- Properties
  - annotations
  - args
  - name
  - refCount

Description

Information about a signal on a D-Bus interface.

Since: 2.26

Synopsis

- newtype DBusSignalInfo = DBusSignalInfo (ManagedPtr DBusSignalInfo)
- newZeroDBusSignalInfo :: MonadIO m => m DBusSignalInfo
- dBusSignalInfoRef :: (HasCallStack, MonadIO m) => DBusSignalInfo -> m DBusSignalInfo
- dBusSignalInfoUnref :: (HasCallStack, MonadIO m) => DBusSignalInfo -> m ()
- clearDBusSignalInfoAnnotations :: MonadIO m => DBusSignalInfo -> m ()
- getDBusSignalInfoAnnotations :: MonadIO m => DBusSignalInfo -> m (Maybe [DBusAnnotationInfo])
- setDBusSignalInfoAnnotations :: MonadIO m => DBusSignalInfo -> Ptr (Ptr DBusAnnotationInfo) -> m ()
- clearDBusSignalInfoArgs :: MonadIO m => DBusSignalInfo -> m ()
- getDBusSignalInfoArgs :: MonadIO m => DBusSignalInfo -> m (Maybe [DBusArgInfo])
- setDBusSignalInfoArgs :: MonadIO m => DBusSignalInfo -> Ptr (Ptr DBusArgInfo) -> m ()
- clearDBusSignalInfoName :: MonadIO m => DBusSignalInfo -> m ()
- getDBusSignalInfoName :: MonadIO m => DBusSignalInfo -> m (Maybe Text)
- setDBusSignalInfoName :: MonadIO m => DBusSignalInfo -> CString -> m ()
- getDBusSignalInfoRefCount :: MonadIO m => DBusSignalInfo -> m Int32
- setDBusSignalInfoRefCount :: MonadIO m => DBusSignalInfo -> Int32 -> m ()

# Exported types

newtype DBusSignalInfo Source #

Memory-managed wrapper type.

Constructors

DBusSignalInfo (ManagedPtr DBusSignalInfo) |

#### Instances

Instances details

Eq DBusSignalInfo Source # |
Instance details Defined in GI.Gio.Structs.DBusSignalInfo Methods (==) :: DBusSignalInfo -> DBusSignalInfo -> Bool Source # (/=) :: DBusSignalInfo -> DBusSignalInfo -> Bool Source #
GBoxed DBusSignalInfo Source # |
Instance details Defined in GI.Gio.Structs.DBusSignalInfo
ManagedPtrNewtype DBusSignalInfo Source # |
Instance details Defined in GI.Gio.Structs.DBusSignalInfo Methods toManagedPtr :: DBusSignalInfo -> ManagedPtr DBusSignalInfo Source #
TypedObject DBusSignalInfo Source # |
Instance details Defined in GI.Gio.Structs.DBusSignalInfo Methods glibType :: IO GType Source #
HasParentTypes DBusSignalInfo Source # |
Instance details Defined in GI.Gio.Structs.DBusSignalInfo
tag ~ 'AttrSet => Constructible DBusSignalInfo tag Source # |
Instance details Defined in GI.Gio.Structs.DBusSignalInfo Methods new :: MonadIO m => (ManagedPtr DBusSignalInfo -> DBusSignalInfo) -> [AttrOp DBusSignalInfo tag] -> m DBusSignalInfo Source #
IsGValue (Maybe DBusSignalInfo) Source # | Convert `DBusSignalInfo` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gio.Structs.DBusSignalInfo Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe DBusSignalInfo -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe DBusSignalInfo) Source #
type ParentTypes DBusSignalInfo Source # |
Instance details Defined in GI.Gio.Structs.DBusSignalInfo type ParentTypes DBusSignalInfo = '[] :: [Type]

newZeroDBusSignalInfo :: MonadIO m => m DBusSignalInfo Source #

Construct a `DBusSignalInfo` struct initialized to zero.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

ref, unref.

#### Getters

None.

#### Setters

None.

## ref

dBusSignalInfoRef Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> DBusSignalInfo | `info`: A `DBusSignalInfo`
-> m DBusSignalInfo | Returns: The same `info`.

If `info` is statically allocated does nothing. Otherwise increases the reference count.

Since: 2.26

## unref

dBusSignalInfoUnref Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> DBusSignalInfo | `info`: A `DBusSignalInfo`.
-> m () |

If `info` is statically allocated, does nothing. Otherwise decreases the reference count of `info`. When its reference count drops to 0, the memory used is freed.

Since: 2.26

# Properties

## annotations

A pointer to a `Nothing`-terminated array of pointers to `DBusAnnotationInfo` structures or `Nothing` if there are no annotations.

clearDBusSignalInfoAnnotations :: MonadIO m => DBusSignalInfo -> m () Source #

Set the value of the “`annotations`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #annotations

getDBusSignalInfoAnnotations :: MonadIO m => DBusSignalInfo -> m (Maybe [DBusAnnotationInfo]) Source #

Get the value of the “`annotations`” field. When overloading is enabled, this is equivalent to

    get dBusSignalInfo #annotations

setDBusSignalInfoAnnotations :: MonadIO m => DBusSignalInfo -> Ptr (Ptr DBusAnnotationInfo) -> m () Source #

Set the value of the “`annotations`” field. When overloading is enabled, this is equivalent to

    set dBusSignalInfo [ #annotations := value ]

## args

A pointer to a `Nothing`-terminated array of pointers to `DBusArgInfo` structures or `Nothing` if there are no arguments.

clearDBusSignalInfoArgs :: MonadIO m => DBusSignalInfo -> m () Source #

Set the value of the “`args`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #args

getDBusSignalInfoArgs :: MonadIO m => DBusSignalInfo -> m (Maybe [DBusArgInfo]) Source #

Get the value of the “`args`” field. When overloading is enabled, this is equivalent to

    get dBusSignalInfo #args

setDBusSignalInfoArgs :: MonadIO m => DBusSignalInfo -> Ptr (Ptr DBusArgInfo) -> m () Source #

Set the value of the “`args`” field. When overloading is enabled, this is equivalent to

    set dBusSignalInfo [ #args := value ]

## name

The name of the D-Bus signal, e.g. "NameOwnerChanged".

clearDBusSignalInfoName :: MonadIO m => DBusSignalInfo -> m () Source #

Set the value of the “`name`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #name

getDBusSignalInfoName :: MonadIO m => DBusSignalInfo -> m (Maybe Text) Source #

Get the value of the “`name`” field. When overloading is enabled, this is equivalent to

    get dBusSignalInfo #name

setDBusSignalInfoName :: MonadIO m => DBusSignalInfo -> CString -> m () Source #

Set the value of the “`name`” field. When overloading is enabled, this is equivalent to

    set dBusSignalInfo [ #name := value ]

## refCount

The reference count or -1 if statically allocated.

getDBusSignalInfoRefCount :: MonadIO m => DBusSignalInfo -> m Int32 Source #

Get the value of the “`ref_count`” field. When overloading is enabled, this is equivalent to

    get dBusSignalInfo #refCount

setDBusSignalInfoRefCount :: MonadIO m => DBusSignalInfo -> Int32 -> m () Source #

Set the value of the “`ref_count`” field. When overloading is enabled, this is equivalent to

    set dBusSignalInfo [ #refCount := value ]